# getFieldValueAs<T> abstract method

T? getFieldValueAs<T>(

1. String fieldName

)

Gets a field value with type conversion.

Type Parameters:

- `T`: The expected return type

Parameters:

- `fieldName`: The name of the field to retrieve

Returns:

- The field value cast to type `T`
- `null` if the field doesn't exist or can't be cast

Example:

    final priority = annotation.getFieldValueAs<int>('priority');

## Implementation

    T? getFieldValueAs<T>(String fieldName);